@import url('https://fonts.googleapis.com/css2? family= Poppins:wght@100;200;300;400;500;600;700;800;900 & display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

body{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    min-height: 100vh;
    background-image: url(/images/bg_beer.png);
    background-repeat: no-repeat;
    background-position: center;
    background-attachment: fixed;
    background-size: cover;
}

.cards{
    position: relative;
    width: 300px;
    height: 350px;
    margin: 20px;
    border-radius: 20px;
    transition: 0.5s;
    transition-delay: 0.5s;
    display: flex;
    justify-content: flex-start;
    align-items: center;
}

.cards:hover{
    width: 600px;
    transition-delay: 0s;
}

.cards .circle{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: 20px;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
}

.cards .circle::before{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: var(--red);
    clip-path: circle(120px at center);
    transition: 0.5s;
}

.cards:hover .circle::before{
    clip-path: circle(400px at center);
}

.cards .circle .logo{
    position: relative;
    width: 100px;
    transition: 0.5s;
    transition-delay: 0.5s;
}

.cards:hover .circle .logo{
    transform: scale(0);
    transition-delay: 0s;
}

.content{
    position: relative;
    width: 50%;
    left: 20%;
    padding: 20px 20px 20px 40px;
    opacity: 0;
    transition: 0.5s;
    visibility: hidden;
}

.cards:hover .content{
    left: 0;
    opacity: 1;
    visibility: visible;
    transition-delay: 0.5s;
}

.content h2{
    color: #fff;
    text-transform: uppercase;
    font-size: 1.8rem;
    line-height: 2.5rem;
}

.content p{
    color: #fff;
    line-height: 1.2rem;
}

.content a{
    position: relative;
    color: #111;
    background: #fff;
    padding: 10px 20px;
    border-radius: 10px;
    margin-top: 10px;
    display: inline-block;
    text-decoration: none;
    font-weight: 500;
}

.cards .product_img{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%) scale(0);
    height: 500px;
    transition: 0.5s;
    transition-delay: 0s;
}

.cards:hover .product_img{
    left: 72%;
    transform: translate(-50%,-50%) scale(1);
    transition-delay: 0.5s;
}

/* Ahora Responsive */
@media (max-width: 990px){
    .cards{
        width: auto;
        max-width: 350px;
        align-items: flex-start;
    }

    .cards:hover{
        height: 600px;
    }

    .cards:hover .product_img{
        top: initial;
        bottom: 30px;
        left: 50%;
        transform: translate(-50%,0%) scale(1);
        height: 300px;
    }

    .cards .content{
        width: 100%;
        left: 0;
        padding: 40px;
    }
}